var path = require('path');
const VueLoaderPlugin = require('vue-loader/lib/plugin');
var ExtractTextPlugin = require('extract-text-webpack-plugin');
module.exports = {
    entry:'./src/lib/index.js',
    output: {
        path: path.join(__dirname, 'dist/'),
        filename:'vue-toast-demo.js',
        libraryTarget:'umd',
        library:'VueToastDemo'
    },
    module: {
        rules: [
            {
                test: /\.vue$/,
                loader: 'vue-loader'
            },
            // {
            //     test:/\.vue$/,
            //     loader:'vue-loader',
            //     exclude:/node_modules/,
            //     options: {
            //         loaders: {
            //             'scss': 'style-loader!css-loader!sass-loader',
            //             'css': 'style-loader!css-loader!'
            //         }
            //     }
            // },
            {
                test: /\.scss$/,
                // loader: ExtractTextPlugin.extract("style-loader", 'style-loader!css-loader!sass-loader') //这里用了样式分离出来的插件，如果不想分离出来，可以直接这样写 loader:'style!css!sass'
                loader:'style-loader!css-loader!sass-loader'
            },
            {
                test:/\.js$/,
                loader:'babel-loader',
                include:path.join(__dirname, 'src'),
                exclude:/node_modules/
            }
        ]
    },
    plugins: [
        // make sure to include the plugin for the magic
        new VueLoaderPlugin()
    ],
}
